#ifndef IG__MAIN_APPLI_2006
#define IG__MAIN_APPLI_2006

class MyPluginInterface;

MyPluginInterface* MakeInstance(void);
void ReleaseInstance(MyPluginInterface* instance);

class MyPluginInterface
{
public:
	virtual float GetVersion(void)=0;

	friend MyPluginInterface* MakeInstance(void);
	friend void ReleaseInstance(MyPluginInterface* instance);
};

#endif
